<%@ page import="com.jeeplus.modules.sys.utils.UserUtils" %>
<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>计划管理</title>
	<meta name="decorator" content="default"/>


	<style>
		.widthClass{
			display: inline-block;
		}
		.shows .input-group{
			width: 48%!important;
		}
	</style>
	<style>
		body{
			background-color:transparent;
			filter:progid:DXImageTransform.Microsoft.gradient(startColorstr=#26FFFFFF, endColorstr=#26FFFFFF);
			color:#ffffff;
			background-color:rgba(255,255,255,0);
			height:100%;
		}
	</style>
</head>
<body>
<div class="wrapper wrapper-content">
	<sys:message content="${message}"/>
	<div class="layui-row">
		<div class="full-width fl">
			<div class="contentShadow layui-row" id="queryDiv">
				<form:form id="searchForm" modelAttribute="workMonthlyPlan" action="${ctx}/workmonthlyplan/workMonthlyPlan/" method="post" class="form-inline">
					<%--以下三行照抄--%>
					<input id="pageNo" name="pageNo" type="hidden" value="${page.pageNo}"/>
					<input id="pageSize" name="pageSize" type="hidden" value="${page.pageSize}"/>
					<table:sortColumn id="orderBy" name="orderBy" value="${page.orderBy}" callback="sortOrRefresh();"/><!-- 支持排序 -->
					<div class="commonQuery">
						<div class="layui-item query athird">
							<label class="layui-form-label">计划月份：</label>
							<div class="layui-input-block">
								<input id="planMonthly" name="planMonthly" type="text" readonly="readonly" maxlength="20" class="laydate-icondate form-control layer-date layui-input laydate-icon"
									   value="<fmt:formatDate value="${workMonthlyPlan.planMonthly}" pattern="yyyy-MM"/>"/>
								</input>
							</div>
						</div>
						<div class="layui-item query athird">
							<label class="layui-form-label">所属部门：</label>
							<div class="layui-input-block with-icon">
								<sys:treeselect id="officeId" name="officeId" value="${workMonthlyPlan.officeId}" labelName="officeName" labelValue="${workMonthlyPlan.officeName}"
												title="部门" url="/sys/office/treeDataAll?type=2" cssClass="form-control layui-input" allowClear="true" notAllowSelectParent="true"/>
							</div>
						</div>
						<div class="layui-item athird">
							<div class="input-group">
								<a href="#" id="moresee"><i class="glyphicon glyphicon-menu-down"></i></a>
								<button id="searchReset" class="fixed-btn searchReset fr" onclick="resetSearch()()">重置</button>
								<button id="searchQuery" class="fixed-btn searchQuery fr" onclick="search()">查询</button>
							</div>
						</div>
						<div style="    clear:both;"></div>
					</div>
					<div id="moresees" style="clear:both;display:none;">
						<div class="layui-item query athird">
							<label class="layui-form-label">计划状态：</label>
							<div class="layui-input-block">
								<form:select path="planStatus" class="form-control simple-select">
									<form:option value="" label=""/>
									<form:option value="0" label="未审定"/>
									<form:option value="1" label="已审定"/>
								</form:select>
							</div>
						</div>

						<div style="clear:both;"></div>
					</div>
				</form:form>
			</div>
		</div>

		<div class="full-width fl">
			<div class="contentShadow layui-form contentDetails">
				<div class="nav-btns">
					<%--此处按钮样式包括 nav-btn-add nav-btn-refresh nav-btn-import nav-btn-export nav-btn-query nav-btn-reset--%>
					<shiro:hasPermission name="workmonthlyplan:workMonthlyPlan:add">
						<button class="nav-btn nav-btn-add" title="月计划管理" onclick="openDialogreadd('月计划管理','${ctx}/workmonthlyplan/workMonthlyPlan/form?tabId=2','95%','95%')"><i class="fa fa-plus"></i>&nbsp;添加</button>
					</shiro:hasPermission>
					<%--<shiro:hasPermission name="workmonthlyplan:workMonthlyPlan:export">--%>
							<table:exportExcel url="${ctx}/workmonthlyplan/workMonthlyPlan/export"></table:exportExcel><!-- 导出按钮 -->
					<%--</shiro:hasPermission>--%>
					<button class="nav-btn nav-btn-refresh" data-toggle="tooltip" data-placement="left" onclick="sortOrRefresh()" title="刷新"><i class="glyphicon glyphicon-repeat"></i>&nbsp;刷新</button>
					<div style="clear: both;"></div>
				</div>
				<table class="oa-table layui-table" id="contentTable">
				</table>

				<!-- 分页代码 -->
				<table:page page="${page}"></table:page>
				<div style="clear: both;"></div>
			</div>
		</div>
	</div>
</div>
<script src="${ctxStatic}/layer-v2.3/layui/layui.all.js" charset="utf-8"></script>
<script>
    layui.use('table', function(){
        layui.table.render({
            limit:${ page.pageSize }
            ,elem: '#contentTable'
            ,page: false
            ,cols: [[
                // {checkbox: true, fixed: true},
                {field:'planMonthly',align:'center',width:100, sort: true, title: '计划月份',templet:function(d){
                        var xml = "<a class=\"attention-info\" href=\"javascript:void(0)\" onclick=\"openDialogView('查看月计划管理', '${ctx}/workmonthlyplan/workMonthlyPlan/form?id=" + d.id + "&tabId=1','95%','95%')\">"+
                            "<span title=" + d.planMonthly + ">" + d.planMonthly + "</span></a>" ;
                        return xml;
                    }},
                {field:'officeName',align:'center',  title: '所属部门',minWidth:100}
                ,{field:'estimatePrice',align:'center', title: '合同预计收费', minWidth:140}
                ,{field:'accumulativePrice',align:'center', title: '合同累计收费', minWidth:140}
                ,{field:'yearSumMoney',align:'center', title: '本年度预计收费', minWidth:140}
                ,{field:'beforeSumMoney',align:'center', title: '本年度已收费', minWidth:140}
                ,{field:'thisSumMoney', align:'center',minWidth:140,title: '本月计划收费'}
                ,{field:'planStatus', align:'center',title: '计划状态',width:100}
                ,{align:'caozuo',align:'center',title:"操作",width:180,templet:function(d){
                        ////对操作进行初始化
                        var xml = "";
                        if(d.canedit != undefined && d.canedit == "1"){
                            xml +="<a href=\"javascript:void(0)\" onclick=\"openDialogreadd('修改计划管理', '${ctx}/workmonthlyplan/workMonthlyPlan/form?id="+ d.id + "&tabId=3','95%','95%')\" class=\"op-btn op-btn-edit\" ><i class=\"fa fa-edit\"></i> 修改</a>"
                        }
                        if(d.canmodify != undefined && d.canmodify == "1"){
                            xml +="<a href=\"javascript:void(0)\" onclick=\"openDialogre('审定计划管理', '${ctx}/workmonthlyplan/workMonthlyPlan/form?id="+ d.id + "&tabId=3','95%','95%')\" class=\"op-btn op-btn-edit\" ><i class=\"fa fa-edit\"></i> 审定</a>"
                        }
                        if(d.candelete != undefined && d.candelete == "1"){
                            xml +="<a href=\"${ctx}/workmonthlyplan/workMonthlyPlan/delete?id=" + d.id + "\" onclick=\"return confirmx('确认要删除该计划管理吗？', this.href)\"   class=\"op-btn op-btn-delete\"><i class=\"fa fa-trash\"></i> 删除</a>"
                        }
                        return xml;
                    }}
            ]]
            ,data: [
                <c:if test="${ not empty page.list}">
                <c:forEach items="${page.list}" var="workMonthlyPlan" varStatus="index">
                <c:if test="${index.index != 0}">,</c:if>
                {
                    "id":"${workMonthlyPlan.id}"
                    ,"planMonthly":"<fmt:formatDate value="${workMonthlyPlan.planMonthly}" pattern="yyyy-MM"/>"
                    ,"officeName":"${workMonthlyPlan.officeName}"
                    ,"estimatePrice":"<fmt:formatNumber value="${workMonthlyPlan.estimatePrice}"/>"
                    ,"accumulativePrice":"<fmt:formatNumber value="${workMonthlyPlan.accumulativePrice}" />"
                    ,"yearSumMoney":"<fmt:formatNumber value="${workMonthlyPlan.yearSumMoney}"/>"<%-- pattern="#,#00.00"--%>
                    ,"beforeSumMoney":"<fmt:formatNumber value="${workMonthlyPlan.beforeSumMoney}" />"
					,"thisSumMoney":"<fmt:formatNumber value="${workMonthlyPlan.thisSumMoney}" />"
					,"planStatus":<c:if test="${workMonthlyPlan.planStatus eq '0'}">"未审定"</c:if> <c:if test="${workMonthlyPlan.planStatus eq '1'}">"已审定"</c:if>
                    <c:if test="${workMonthlyPlan.planStatus eq '0'}">
                    <shiro:hasPermission name="workmonthlyplan:workMonthlyPlan:edit">
					,"canedit":"1"
                    </shiro:hasPermission>
                    <shiro:hasPermission name="workmonthlyplan:workMonthlyPlan:review">
                    ,"canmodify":"1"
                    </shiro:hasPermission>
                    <shiro:hasPermission name="workmonthlyplan:workMonthlyPlan:del">
					,"candelete":"1"
					</shiro:hasPermission>
                    </c:if>
                }
                </c:forEach>
                </c:if>
            ]
            // ,even: true
            // ,height: 315
        });

    })
</script>
<script>
    resizeListWindow1();
    $(window).resize(function(){
        resizeListWindow1();
    });
</script>
<script type="text/javascript">
    $(document).ready(function() {

        laydate.render({
            elem: '#planMonthly', //目标元素。由于laydate.js封装了一个轻量级的选择器引擎，因此elem还允许你传入class、tag但必须按照这种方式 '#id .class'
            event: 'click',
            type : 'month'
        });
    });
    //搜索框收放
    $('#moresee').click(function(){
        if($('#moresees').is(':visible'))
        {
            $('#moresees').slideUp(0,resizeListWindow1);
            $('#moresee i').removeClass("glyphicon glyphicon-menu-up").addClass("glyphicon glyphicon-menu-down");
        }else{
            $('#moresees').slideDown(0,resizeListWindow1);
            $('#moresee i').removeClass("glyphicon glyphicon-menu-down").addClass("glyphicon glyphicon-menu-up");
        }
    });
    function switchInput(obj){
        $("#"+obj).show();
        $("#"+obj).siblings().hide();
    }
    function reset(){
        $("#searchForm").reset();
    }
    function openDialogre(title,url,width,height,target){

        if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
            width='auto';
            height='auto';
        }else{//如果是PC端，根据用户设置的width和height显示。

        }
        top.layer.open({
            type: 2,
            area: [width, height],
            title: title,
            skin: 'three-btns',
            maxmin: true, //开启最大化最小化按钮
            content: url ,
            btn: ['审定','提交','关闭'],
            btn1: function(index, layero){
                var body = top.layer.getChildFrame('body', index);
                var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                var inputForm = body.find('#inputForm');
                var top_iframe;
                if(target){
                    top_iframe = target;//如果指定了iframe，则在改frame中跳转
                }else{
                    top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                }
                inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                if(iframeWin.contentWindow.doSubmit(1) ){
                    top.layer.close(index);//关闭对话框。
                    setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                }
            },
            btn2:function(index,layero){
                var body = top.layer.getChildFrame('body', index);
                var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                var inputForm = body.find('#inputForm');
                var top_iframe;
                if(target){
                    top_iframe = target;//如果指定了iframe，则在改frame中跳转
                }else{
                    top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                }
                inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                if(iframeWin.contentWindow.doSubmit(2) ){
                    top.layer.close(index);//关闭对话框。
                        setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                }
                return false;
            },
            btn3: function(index){
            }
        });
    }

    function openDialogreadd(title,url,width,height,target){

        if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端，就使用自适应大小弹窗
            width='auto';
            height='auto';
        }else{//如果是PC端，根据用户设置的width和height显示。

        }
        top.layer.open({
            type: 2,
            area: [width, height],
            title: title,
            skin: 'tow-btns',
            maxmin: true, //开启最大化最小化按钮
            content: url ,
            btn: ['提交','关闭'],
            yes: function(index, layero){
                var body = top.layer.getChildFrame('body', index);
                var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                var inputForm = body.find('#inputForm');
                var top_iframe;
                if(target){
                    top_iframe = target;//如果指定了iframe，则在改frame中跳转
                }else{
                    top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                }
                inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                if(iframeWin.contentWindow.doSubmit(2) ){
                    top.layer.close(index);//关闭对话框。
                    setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                }
            },
           /* btn2:function(index,layero){
                var body = top.layer.getChildFrame('body', index);
                var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
                var inputForm = body.find('#inputForm');
                var top_iframe;
                if(target){
                    top_iframe = target;//如果指定了iframe，则在改frame中跳转
                }else{
                    top_iframe = top.getActiveTab().attr("name");//获取当前active的tab的iframe
                }
                inputForm.attr("target",top_iframe);//表单提交成功后，从服务器返回的url在当前tab中展示
                if(iframeWin.contentWindow.doSubmit(2) ){
                    top.layer.close(index);//关闭对话框。
                    setTimeout(function(){top.layer.close(index)}, 100);//延时0.1秒，对应360 7.1版本bug
                }
                return false;
            },*/
            btn3: function(index){
            }
        });
    }

</script>
</body>
</html>